Remove JDBC from the build system and documentation, too.

This commit is contained in:
Tom Lane 2004-01-19 21:20:06 +00:00
parent 163edee632
commit bd046b99f0
13 changed files with 15 additions and 3497 deletions

View File

@ -1,7 +1,7 @@
#
# PostgreSQL top level makefile
#
# $PostgreSQL: pgsql/GNUmakefile.in,v 1.36 2003/11/28 20:32:09 pgsql Exp $
# $PostgreSQL: pgsql/GNUmakefile.in,v 1.37 2004/01/19 21:20:04 tgl Exp $
#
subdir =
@ -72,7 +72,7 @@ $(distdir).tar: distdir
opt_files := \
src/tools src/corba src/tutorial \
src/bin/pgtclsh \
$(addprefix src/interfaces/, libpgtcl jdbc) \
$(addprefix src/interfaces/, libpgtcl) \
$(addprefix src/pl/, plperl plpython tcl)
docs_files := doc/postgres.tar.gz doc/src doc/TODO.detail

8
README
View File

@ -8,11 +8,11 @@ PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, user-defined types
and functions. This distribution also contains several language
bindings, including C, Perl, Python, and Tcl, as well as a JDBC
driver.
bindings, including C and Tcl.
The ODBC and C++ interfaces have been moved to the PostgreSQL Projects
Web Site at http://gborg.postgresql.org for separate maintenance.
The JDBC, ODBC, C++, and Python interfaces have been moved to the PostgreSQL
Projects Web Site at http://gborg.postgresql.org for separate maintenance.
A Perl DBI/DBD driver is available from CPAN.
See the file INSTALL for instructions on how to build and install
PostgreSQL. That file also lists supported operating systems and

3
aclocal.m4 vendored
View File

@ -1,10 +1,9 @@
dnl $PostgreSQL: pgsql/aclocal.m4,v 1.16 2003/11/29 19:51:16 pgsql Exp $
dnl $PostgreSQL: pgsql/aclocal.m4,v 1.17 2004/01/19 21:20:04 tgl Exp $
m4_include([config/ac_func_accept_argtypes.m4])
m4_include([config/c-compiler.m4])
m4_include([config/c-library.m4])
m4_include([config/docbook.m4])
m4_include([config/general.m4])
m4_include([config/java.m4])
m4_include([config/libtool.m4])
m4_include([config/perl.m4])
m4_include([config/programs.m4])

View File

@ -1,61 +0,0 @@
#
# Autoconf macros for configuring the build of Java JDBC Tools
#
# $PostgreSQL: pgsql/config/java.m4,v 1.5 2003/11/29 19:51:17 pgsql Exp $
#
# _PGAC_PROG_ANT_WORKS
# --------------------
AC_DEFUN([_PGAC_PROG_ANT_WORKS],
[
AC_CACHE_CHECK([whether $ANT works], [pgac_cv_prog_ant_works],
[
cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF
cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF
pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
AC_TRY_EVAL(pgac_cmd)
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&AS_MESSAGE_LOG_FD
cat conftest.java >&AS_MESSAGE_LOG_FD
echo "configure: failed build file was:" >&AS_MESSAGE_LOG_FD
cat conftest.xml >&AS_MESSAGE_LOG_FD
pgac_cv_prog_ant_works=no
fi
rm -f conftest* core core.* *.core
])
if test "$pgac_cv_prog_ant_works" != yes; then
AC_MSG_ERROR([ant does not work])
fi
])
# PGAC_PATH_ANT
# -------------
# Look for the ANT tool and set the output variable 'ANT' to 'ant'
# if found, empty otherwise
AC_DEFUN([PGAC_PATH_ANT],
[
AC_PATH_PROGS(ANT, [jakarta-ant ant ant.sh ant.bat])
_PGAC_PROG_ANT_WORKS
])

150
configure vendored
View File

@ -864,7 +864,6 @@ Optional Packages:
--with-tkconfig=DIR tkConfig.sh is in DIR
--with-perl build Perl modules (PL/Perl)
--with-python build Python modules (PL/Python)
--with-java build JDBC interface and Java tools
--with-krb4 build with Kerberos 4 support
--with-krb5 build with Kerberos 5 support
--with-krb-srvnam=NAME name of the service principal in Kerberos [postgres]
@ -3166,153 +3165,6 @@ echo "$as_me:$LINENO: result: $with_python" >&5
echo "${ECHO_T}$with_python" >&6
#
# Optionally build the Java/JDBC tools
#
echo "$as_me:$LINENO: checking whether to build Java/JDBC tools" >&5
echo $ECHO_N "checking whether to build Java/JDBC tools... $ECHO_C" >&6
# Check whether --with-java or --without-java was given.
if test "${with_java+set}" = set; then
withval="$with_java"
case $withval in
yes)
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
for ac_prog in jakarta-ant ant ant.sh ant.bat
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_ANT+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
case $ANT in
[\\/]* | ?:[\\/]*)
ac_cv_path_ANT="$ANT" # Let the user override the test with a path.
;;
*)
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
ac_cv_path_ANT="$as_dir/$ac_word$ac_exec_ext"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
;;
esac
fi
ANT=$ac_cv_path_ANT
if test -n "$ANT"; then
echo "$as_me:$LINENO: result: $ANT" >&5
echo "${ECHO_T}$ANT" >&6
else
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi
test -n "$ANT" && break
done
echo "$as_me:$LINENO: checking whether $ANT works" >&5
echo $ECHO_N "checking whether $ANT works... $ECHO_C" >&6
if test "${pgac_cv_prog_ant_works+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF
cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF
pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
{ (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
(eval $pgac_cmd) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&5
cat conftest.java >&5
echo "configure: failed build file was:" >&5
cat conftest.xml >&5
pgac_cv_prog_ant_works=no
fi
rm -f conftest* core core.* *.core
fi
echo "$as_me:$LINENO: result: $pgac_cv_prog_ant_works" >&5
echo "${ECHO_T}$pgac_cv_prog_ant_works" >&6
if test "$pgac_cv_prog_ant_works" != yes; then
{ { echo "$as_me:$LINENO: error: ant does not work" >&5
echo "$as_me: error: ant does not work" >&2;}
{ (exit 1); exit 1; }; }
fi
if test -z "$ANT"; then
{ { echo "$as_me:$LINENO: error: Ant is required to build Java components
If you have Ant already installed, see config.log for details on the failure." >&5
echo "$as_me: error: Ant is required to build Java components
If you have Ant already installed, see config.log for details on the failure." >&2;}
{ (exit 1); exit 1; }; }
fi
if "$ANT" -version | egrep -i 'ant version' | sed q | egrep -v ' 1\.[5-9]| [2-9]\.' >/dev/null ; then
{ { echo "$as_me:$LINENO: error: Ant version >= 1.5 is required to build Java components" >&5
echo "$as_me: error: Ant version >= 1.5 is required to build Java components" >&2;}
{ (exit 1); exit 1; }; }
fi
;;
no)
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
;;
*)
{ { echo "$as_me:$LINENO: error: no argument expected for --with-java option" >&5
echo "$as_me: error: no argument expected for --with-java option" >&2;}
{ (exit 1); exit 1; }; }
;;
esac
else
with_java=no
echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6
fi;
#
# Kerberos 4
#
@ -18252,8 +18104,6 @@ s,@with_tcl@,$with_tcl,;t t
s,@with_tk@,$with_tk,;t t
s,@with_perl@,$with_perl,;t t
s,@with_python@,$with_python,;t t
s,@ANT@,$ANT,;t t
s,@with_java@,$with_java,;t t
s,@with_krb4@,$with_krb4,;t t
s,@with_krb5@,$with_krb5,;t t
s,@krb_srvtab@,$krb_srvtab,;t t

View File

@ -1,5 +1,5 @@
dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.310 2004/01/09 04:58:09 momjian Exp $
dnl $PostgreSQL: pgsql/configure.in,v 1.311 2004/01/19 21:20:05 tgl Exp $
dnl
dnl Developers, please strive to achieve this order:
dnl
@ -409,23 +409,6 @@ PGAC_ARG_BOOL(with, python, no, [ --with-python build Python modules
AC_MSG_RESULT([$with_python])
AC_SUBST(with_python)
#
# Optionally build the Java/JDBC tools
#
AC_MSG_CHECKING([whether to build Java/JDBC tools])
PGAC_ARG_BOOL(with, java, no, [ --with-java build JDBC interface and Java tools],
[AC_MSG_RESULT(yes)
PGAC_PATH_ANT
if test -z "$ANT"; then
AC_MSG_ERROR([Ant is required to build Java components
If you have Ant already installed, see config.log for details on the failure.])
fi
if "$ANT" -version | egrep -i 'ant version' | sed q | egrep -v ' 1\.[[5-9]]| [[2-9]]\.' >/dev/null ; then
AC_MSG_ERROR([Ant version >= 1.5 is required to build Java components])
fi],
[AC_MSG_RESULT(no)])
AC_SUBST(with_java)
#
# Kerberos 4
#

View File

@ -1,4 +1,4 @@
<!-- $PostgreSQL: pgsql/doc/src/sgml/filelist.sgml,v 1.34 2003/11/29 19:51:37 pgsql Exp $ -->
<!-- $PostgreSQL: pgsql/doc/src/sgml/filelist.sgml,v 1.35 2004/01/19 21:20:06 tgl Exp $ -->
<!entity history SYSTEM "history.sgml">
<!entity info SYSTEM "info.sgml">
@ -49,7 +49,6 @@
<!entity extend SYSTEM "extend.sgml">
<!entity func-ref SYSTEM "func-ref.sgml">
<!entity infoschema SYSTEM "information_schema.sgml">
<!entity jdbc SYSTEM "jdbc.sgml">
<!entity libpgeasy SYSTEM "libpgeasy.sgml">
<!entity libpq SYSTEM "libpq.sgml">
<!entity libpgtcl SYSTEM "libpgtcl.sgml">

View File

@ -1,4 +1,4 @@
<!-- $PostgreSQL: pgsql/doc/src/sgml/installation.sgml,v 1.192 2004/01/11 05:46:58 neilc Exp $ -->
<!-- $PostgreSQL: pgsql/doc/src/sgml/installation.sgml,v 1.193 2004/01/19 21:20:06 tgl Exp $ -->
<chapter id="installation">
<title><![%standalone-include[<productname>PostgreSQL</>]]>
@ -212,41 +212,6 @@ su - postgres
</para>
</listitem>
<listitem>
<para>
To build the JDBC driver, you need
<application>Ant</application> 1.5 or higher and a
<acronym>JDK</acronym>. <application>Ant</application> is a
special tool for building Java-based packages. It can be
downloaded from the <ulink
url="http://jakarta.apache.org/ant/index.html"><application>Ant</application>
web site</ulink>.
</para>
<para>
If you have several Java compilers installed, it depends on the
Ant configuration which one gets used. Precompiled
<application>Ant</application> distributions are typically set
up to read a file <filename>.antrc</filename> in the current
user's home directory for configuration. For example, to use a
different <acronym>JDK</acronym> than the default, this may
work:
<programlisting>
JAVA_HOME=/usr/local/sun-jdk1.3
JAVACMD=$JAVA_HOME/bin/java
</programlisting>
</para>
<note>
<para>
Do not try to build the driver by calling
<command>ant</command> or even <command>javac</command>
directly. This will not work. Run <command>gmake</command>
normally as described below.
</para>
</note>
</listitem>
<listitem>
<para>
To enable Native Language Support (<acronym>NLS</acronym>), that
@ -801,16 +766,6 @@ JAVACMD=$JAVA_HOME/bin/java
</listitem>
</varlistentry>
<varlistentry>
<term><option>--with-java</option></term>
<listitem>
<para>
Build the <acronym>JDBC</acronym> driver and associated Java
packages.
</para>
</listitem>
</varlistentry>
<varlistentry>
<term><option>--with-krb4</option></term>
<term><option>--with-krb5</option></term>

File diff suppressed because it is too large Load Diff

View File

@ -1,5 +1,5 @@
<!--
$PostgreSQL: pgsql/doc/src/sgml/postgres.sgml,v 1.62 2003/11/29 19:51:37 pgsql Exp $
$PostgreSQL: pgsql/doc/src/sgml/postgres.sgml,v 1.63 2004/01/19 21:20:06 tgl Exp $
-->
<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook V4.2//EN" [
@ -179,7 +179,6 @@ $PostgreSQL: pgsql/doc/src/sgml/postgres.sgml,v 1.62 2003/11/29 19:51:37 pgsql E
&lobj;
&libpgtcl;
&ecpg;
&jdbc;
&infoschema;
</part>

View File

@ -1,5 +1,5 @@
# -*-makefile-*-
# $PostgreSQL: pgsql/src/Makefile.global.in,v 1.172 2003/12/19 23:29:15 momjian Exp $
# $PostgreSQL: pgsql/src/Makefile.global.in,v 1.173 2004/01/19 21:20:06 tgl Exp $
#------------------------------------------------------------------------------
# All PostgreSQL makefiles include this file and use the variables it sets,
@ -111,7 +111,6 @@ override docdir := $(docdir)/postgresql
endif
endif
javadir := $(DESTDIR)$(datadir)/java
localedir := @localedir@
@ -121,7 +120,6 @@ localedir := @localedir@
#
# Records the choice of the various --enable-xxx and --with-xxx options.
with_java = @with_java@
with_perl = @with_perl@
with_python = @with_python@
with_tcl = @with_tcl@
@ -209,7 +207,6 @@ perl_embed_ldflags = @perl_embed_ldflags@
# Miscellaneous
ANT = @ANT@
AWK = @AWK@
LN_S = @LN_S@
MSGFMT = @MSGFMT@

View File

@ -4,7 +4,7 @@
#
# Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/interfaces/Makefile,v 1.51 2003/11/29 19:52:08 pgsql Exp $
# $PostgreSQL: pgsql/src/interfaces/Makefile,v 1.52 2004/01/19 21:20:06 tgl Exp $
#
#-------------------------------------------------------------------------
@ -14,16 +14,12 @@ include $(top_builddir)/src/Makefile.global
DIRS := libpq ecpg
ALLDIRS := $(DIRS) libpgtcl jdbc
ALLDIRS := $(DIRS) libpgtcl
ifeq ($(with_tcl), yes)
DIRS += libpgtcl
endif
ifeq ($(with_java), yes)
DIRS += jdbc
endif
all install installdirs uninstall dep depend distprep:
@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done

View File

@ -1,4 +1,4 @@
# $PostgreSQL: pgsql/src/makefiles/Makefile.cygwin,v 1.3 2003/11/29 19:52:12 pgsql Exp $
# $PostgreSQL: pgsql/src/makefiles/Makefile.cygwin,v 1.4 2004/01/19 21:20:06 tgl Exp $
DLLTOOL= dlltool
DLLWRAP= dllwrap
BE_DLLLIBS= -L$(top_builddir)/src/backend -lpostgres
@ -32,6 +32,4 @@ ifneq (,$(findstring src/pl/plpython,$(subdir)))
override CPPFLAGS+= -DUSE_DL_IMPORT
endif
override javadir := '$(shell cygpath -w $(javadir))'
sqlmansect = 7